Bug 910212 - RFE: Ability to resume push/pull from a specified document
Summary: RFE: Ability to resume push/pull from a specified document
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Maven, Component-zanata-client
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.2
Assignee: David Mason
QA Contact: Carlos Munoz
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-12 01:57 UTC by Sean Flanigan
Modified: 2013-11-27 03:36 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-27 03:25:13 UTC


Attachments (Terms of Use)

Description Sean Flanigan 2013-02-12 01:57:37 UTC
Description of problem:
Large projects can take a long time to push to/pull from Zanata.  We should add a simple resume feature, so that we don't have to start the whole process again in case of a problem.

When processing is interrupted (perhaps by a network time-out), we can tell the user something like this:

"Operation failed.  To retry from the last document, please add the option --resume-from <document name>" Where <document name> is the document where the error occurred.

This will require a consistent order of processing, so we should impose a total ordering on the set of documents and locales to push/pull.  Alphabetical sorting should be fine.

We should support multi-module Maven projects too, so we may need the ability to resume from a particular module too.  (Maven's -rf option might suffice.)

Comment 1 David Mason 2013-02-14 06:42:50 UTC
Implemented alphabetical sorting, parameter for resume position and message on failure giving the parameter to add to the command to resume from the point of failure. Yes to test with maven modules.

See: https://github.com/zanata/zanata-client/commit/9bd09bd81c1a62da8863f80f50406b8913706c8b

Comment 2 David Mason 2013-02-26 03:05:08 UTC
Added support for maven modules.

For both module and non-module push and pull, if there is a server error while a document is being processed, one or two options are output near the end of the console log that can be used in the command line to resume from the document that was being processed.

See: https://github.com/zanata/zanata-client/commit/8e882f971925829b32f801060eb994fe9dfa935b

Comment 3 Carlos Munoz 2013-02-26 04:55:42 UTC
Verified with:

Server version: 2.2-SNAPSHOT (20130226-1241)
Client version: 2.0.2-SNAPSHOT
Client timestamp: 20130226-1436
API version: 2.1.1-SNAPSHOT
API timestamp: 20130226-0847

Comment 4 Sean Flanigan 2013-11-27 03:15:57 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 5 Sean Flanigan 2013-11-27 03:17:03 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 6 Sean Flanigan 2013-11-27 03:19:12 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 7 Sean Flanigan 2013-11-27 03:25:13 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 8 Sean Flanigan 2013-11-27 03:33:53 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 9 Sean Flanigan 2013-11-27 03:36:07 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.